slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSPowerGetSignNormalization

Returns a flag indicating whether the Bx vector is normalized by the sign of the first non-zero element in the vector. E.g., if this is true, the post-normalization value of the first non-zero element in the vector is guaranteed to be positive.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSPowerGetSignNormalization(EPS eps,PetscBool *sign_normalization)

Not Collective

### Input Parameter

| eps | - the eigenproblem solver context

### Output Parameter

| sign_normalization | - the sign normalization flag

### See Also

EPSPowerSetSignNormalization()

### Level

advanced

### Location

src/eps/impls/power/power.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages